## org.flexdock.dockbar.event
Interface DockbarListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  ActiveDockableHandler, DockbarListener.Stub

    public interface DockbarListener

extends java.util.EventListener

Author:
  Christopher Butler

Nested Class Summary
`static class` `DockbarListener.Stub`

Method Summary
`void` `dockableCollapsed(DockbarEvent evt)`
`void` `dockableExpanded(DockbarEvent evt)`
`void` `dockableLocked(DockbarEvent evt)`
`void` `minimizeCompleted(DockbarEvent evt)`
`void` `minimizeStarted(DockbarEvent evt)`

Method Detail

### dockableExpanded

    void dockableExpanded(DockbarEvent evt)

### dockableLocked

    void dockableLocked(DockbarEvent evt)

### dockableCollapsed

    void dockableCollapsed(DockbarEvent evt)

### minimizeStarted

    void minimizeStarted(DockbarEvent evt)

### minimizeCompleted

    void minimizeCompleted(DockbarEvent evt)